Page MenuHomePhabricator

Civi: Cancel button for recurring donations missing
Closed, ResolvedPublic

Description

The new Civi update seems to have erased the 'cancel' button for recurring donations. Donor Services needs this back please!

See attached screenshot.

Event Timeline

krobinson created this task.Feb 7 2019, 3:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2019, 3:07 PM
DStrine triaged this task as Unbreak Now! priority.Feb 7 2019, 4:35 PM
Restricted Application added subscribers: Pcoombe, Liuxinyu970226, TerraCodes. · View Herald TranscriptFeb 7 2019, 4:35 PM

Change 489107 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm/civicrm@master] HACK: show cancel button for recur records with no processor

https://gerrit.wikimedia.org/r/489107

Ejegg added a subscriber: Ejegg.Feb 8 2019, 12:28 AM

@Eileenmcnaughton That hack should get the button back, but I haven't tested whether the button works. A more correct alternative fix is detailed in the commit message.

Change 489107 merged by jenkins-bot:
[wikimedia/fundraising/crm/civicrm@master] HACK: show cancel button for recur records with no processor

https://gerrit.wikimedia.org/r/489107

Ejegg added a comment.EditedFeb 8 2019, 2:53 AM

@krobinson and @MBeat33, we got a quick-n-dirty solution out there, but we haven't tested it on a real live subscription yet. Please let us know if it's working!

Actually it's not deployed yet - I've just merged it through to deployment but won't deploy now since I don't want to 'deploy & run' - @Ejegg can you deploy tomorrow?

@Ejegg @Eileenmcnaughton I'm not sure if this is deployed yet or not, but today the Contributions tab in a donor record is Civi won't open - no error message, just completely blank. Another agent, Seilo, flagged this to me, and it's the same for me. So at present we can't see any donation records, or the recurring tab to test any fixes. Yesterday we could see the records, but the 'cancel' tab was missing, now we don't have any visibility into contributions.

You're probably aware and this is likely related to what you're doing, but just as an FYI.

Change 489191 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm/civicrm@master] Less broken version of hack

https://gerrit.wikimedia.org/r/489191

Change 489191 merged by jenkins-bot:
[wikimedia/fundraising/crm/civicrm@master] Less broken version of hack

https://gerrit.wikimedia.org/r/489191

Ejegg added a comment.Feb 8 2019, 12:57 PM

@krobinson sorry! I deployed something last night without testing it well. I've just pushed out a different version that should show actually the cancel button rather than breaking the whole tab

Thanks @Ejegg! I believe I just successfully cancelled a donation, so think we're all good :) Thank you!

Ejegg closed this task as Resolved.Feb 14 2019, 2:19 PM